#!/sbin/sh 

# Install script for FireScope Agent for HPUX version

# Init
VERSION="3.5.5"
USER="firescop"
CURDIR=`pwd`
BASEDIR="/opt/firescope"
INSTALLDIR="/opt/firescope/agent"
CONFIGFILE="/opt/firescope/agent/conf/firescope_agentd.conf"
INIT="/sbin/init.d"
RC="/etc/rc.config.d"
HOST="${1}"

if [ "${1}" = "" ]; then
echo "Please provide the FireScope appliance IP address."
echo "Usage sh install.sh <FireScope appliance IP address>"
exit
fi

# Check if user exist
useradd $USER

mkdir -p $BASEDIR
mkdir -p $INSTALLDIR
mkdir -p $INSTALLDIR/bin
mkdir -p $INSTALLDIR/cache
mkdir -p $INSTALLDIR/conf
mkdir -p $INSTALLDIR/logs

# Presentation
echo "\
\n\
FireScope Agent $VERSION Installer for HPUX\n\
=============================================\n\
\n\
"
# Copy rc.config.d script
cp $CURDIR/etc/rc.d/firescope_agentd $RC

# Copy init.d script
cp $CURDIR/etc/init.d/firescope_agentd $INIT
ln -fs $INIT/firescope_agentd /sbin/rc3.d/S900firescope_agentd
ln -fs $INIT/firescope_agentd /sbin/rc2.d/K100firescope_agentd

# Copy agent bin files
cp $CURDIR/firescope/bin/firescope_agentd /opt/firescope/agent/bin

# Copy agent conf file
cp $CURDIR/firescope/conf/firescope_agentd.conf $CONFIGFILE

# Copy agent log files
cp $CURDIR/firescope/firescope_agentd.pid $INSTALLDIR/logs
cp $CURDIR/firescope/firescope_agentd.log $INSTALLDIR/logs

# Copy uninstall.sh script
cp $CURDIR/firescope_agent_uninstall.sh $INSTALLDIR

# Chmod agent bin files
chmod +x $INSTALLDIR/bin/firescope_agentd

# Chmod agent init file
chmod +x $INIT/firescope_agentd

#Chmod uninstall.sh script
chmod +x $INSTALLDIR/firescope_agent_uninstall.sh

# Chown the firescope directory and all child directory to be owned by fsuser
chown -R $USER $INSTALLDIR

# Set some user input and collected values in config file
#perl -pi -e "s/{SERVERNAME}/$HOST/g" $CONFIGFILE
#perl -pi -e "s/{SERVERNAME}/$1/g" /opt/firescope/agent/conf/firescope_agentd.conf
#perl -pi -e "s/10.0.2.71/{SERVERNAME}/g" /opt/firescope/agent/conf/firescope_agentd.conf
#cat /opt/firescope/agent/conf/firescope_agentd.conf

perl -pi -e "s/{HOSTNAME}/`hostname`/g" $CONFIGFILE
perl -pi -e "s/{RMTCMD}/1/g" $CONFIGFILE

# Install Completed
echo "FireScope Agent v$VERSION for HPUX has been installed."

echo " Please edit '{SERVERNAME}'in the file /opt/firescope/agent/conf/firescope_agentd.conf \n\
to the IP of your FireScope Appliance.\n\
Then use the following command to start the agent:
\n\
/sbin/init.d/firescope_agentd start"

#echo "\
#\n\
#Starting FireScope Agent $VERSION for HPUX\n\
#===============================================\n\
#\n\
#"
#$INIT/firescope_agentd start
#echo "\
#\n\
#FireScope Agent $VERSION for HPUX is now running.\n\
#===============================================\n\
#\n\
#"

